drkns 18.11.2018 23:16:41 +0000 - build 188

1. Некорректная работа с настройками - более одного экземпляра PluginSettings.

drkns 23.04.2018 22:28:15 +0100 - build 187

1. С форума - долго закрывается панель плагина.

drkns 12.11.2017 20:00:38 +0000 - build 186

1. 0003552: В деталях процесса в CommandLine 128-ой символ строки *всегда* заменяется на символ "*" (звездочка) - его кто-то перезаписывает

drkns 19.11.2016 12:30:09 +0200 - build 185

1. Размер колонок XI и XC по умолчанию 6.

drkns 15.06.2016 19:00:05 +0200 - build 184

1. Вернём хак с атрибутами.

drkns 15.06.2016 01:27:45 +0200 - build 183

1. Восстановим работоспособность колонки XB (битность процесса, 32/64) и включим её по умолчанию в 1 и 3 режимах.

2. В связи с #1 хака с атрибутами больше нет.

3. Убираем не до конца убранный в 166 мусор.

w17 14.08.2015 23:57:07 +0300 - build 182

1. avoid using float numbers

zg 20.03.2015 23:42:22 +0200 - build 181

1. Far 3.0 API 4321

drkns 13.11.2013 22:09:58 +0200 - build 180

1. Убираем DisableThreadLibraryCalls.
   MSDN: Do not call this function from a DLL that is linked to the static C run-time library (CRT).
   The static CRT requires DLL_THREAD_ATTACH and DLL_THREAD_DETATCH notifications to function properly.

t-rex 07.10.2012 16:14:13 +0200 - build 179

1. GCC warnings.

t-rex 06.10.2012 20:03:33 +0200 - build 178

1. x64 warnings.

zg 23.09.2012 21:16:14 +0200 - build 177

1. Far 3.0 API 2834

zg 23.09.2012 17:51:51 +0200 - build 176

1. Far 3.0 API 2830

zg 19.09.2012 00:19:36 +0200 - build 175

1. Far 3.0 API 2808

zg 16.09.2012 19:00:26 +0200 - build 174

1. Far 3.0 API 2802

zg 16.09.2012 15:12:00 +0200 - build 173

1. Far 3.0 API 2799

zg 26.03.2012 16:10:24 +0200 - build 172

1. Far 3.0 API 2572

drkns 06.02.2012 13:43:35 +0200 - build 171

1. Пара багов.

2. Warnings.

drkns 22.01.2012 15:00:47 +0200 - build 170

1. Far 3 api.

t-rex 13.01.2012 19:46:10 +0200 - build 169

1. Far 3.0 2373

svs 22.08.2011 16:08:18 +0300 - build 168

1. Far 3 API 2105

svs 06.07.2011 10:27:41 +0300 - build 167

1. Убираем "Копипасте"

drkns 01.07.2011 20:30:40 +0200 - build 166

1. Убираем визуальные глюки.

2. Убираем весь 9x/NT4 мусор.

3. Убираем дикую смесь из new[]/malloc + delete.

4. Убираем предупреждения компилятора.

svs 30.06.2011 12:12:05 +0300

1. АПИ 3.0. Начало (собирается, но пока визуально глючит)

t-rex 06.02.2011 00:26:48 +0200

1. lng,hlf -> utf8, reg -> Far2

svs 17.01.2011 14:20:20 +0300 - build 165

1. Mantis#0000729: Resource leaks в плагине Proclist.
   (from alexeypa)
   Патч исправляет три проблемы:
     1. Помещает CoInitialize и CoUninitialize в более подходящее место.
     2. Вместо влияющей на весь процесс CoInitializeSecurity используется CoSetProxyBlanket, которая влияет только на конктерный COM proxy.
     3. Ставится cloacking mode, при котором SeDebugPrivilege подхватывается WMI сервером.

svs 14.01.2011 10:06:58 +0300 - build 164

1. Mantis#0001657: ProcList валит Far, если во время обработки F4 процесс закрывается
   (from Maximus)

2. Форматирование кода
   AStyle --style=ansi --indent=tab=4 --brackets=break --indent-classes --indent-switches --indent-namespaces --indent-preprocessor --break-blocks --delete-empty-lines --unpad-paren --keep-one-line-statements --keep-one-line-blocks "!\!.!"

drkns 15.10.2010 13:23:23 +0200 - build 163

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

t-rex 04.05.2010 21:53:33 +0200 - build 162

1. Странные глюки из за бага в 161.

t-rex 01.05.2010 00:26:37 +0200 - build 161

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

drkns 30.05.2010 10:16:16 +0200 - build 160

1. Far 2.0.1529.

t-rex 10.01.2010 23:26:16 +0200 - build 159

1. NM -> MAX_PATH

drkns 09.01.2010 14:17:27 +0200 - build 158

1. Far 2.0.1327.

drkns 09.01.2010 12:59:15 +0200 - build 157

1. Far 2.0.1325.

zg 07.01.2010 19:19:24 +0200 - build 156

1. far 2.0.1317.

garry 03.12.2009 12:07:42 +0300 - build 155

1. Проблемы в Unicode версии с коннектом через WMI к удалённой машине (в частности Mantis#1196).

t-rex 26.10.2009 17:05:38 +0200 - build 154

1. Переделка GetMinFarVersion.

t-rex 20.10.2009 21:15:59 +0200

1. Mantis#1127: Несоответствие регистра в названиях файлов.

svs 16.09.2009 12:18:59 +0300 - build 153

1. Mantis#0001057: Far Manager версия 1.75 build 2605, x86 При выборе Alt+F1/Alt+F2 -> Process List Вылетает 

t-rex 09.06.2009 14:58:31 +0200 - build 152

1. Убрал немного GCC ворнингов.

t-rex 31.05.2009 15:35:52 +0200 - build 151

1. Mantis#755: Proclist ограничивает Command Line процессов 
   
2. За одно исправил проблему вывода длинных строк из за того что наш "fprintf" юзал wvsprintf у которого буффер 1024.
   Решение в лоб.

t-rex 07.03.2009 18:16:18 +0200 - build 150

1. Mantis#696: Некоректная проверка на валидность MsgID в x64.

zg 23.02.2009 23:23:26 +0200 - build 149

1. Адаптация к новому PanelAPI в 2.0.789.

2. в build 146 сломался enter.

svs 20.02.2009 13:07:37 +0300 - build 148

1. Mantis#0000729: Resource leaks в плагине Proclist.
   (from alexeypa)
   1. Fixed resource leaks when enabling debug priviledge;
   2. Fixed CoInitialize/CoUninitialize balancing;
   3. The event hEvtRefreshDone was used before it was created.

svs 19.02.2009 13:26:32 +0300 - build 147

1. Mantis#0000747: Плагины align, proclist и network: функция SetRegKey неверно вычисляет размер буфера в Unicode версии. 
   (from alexeypa)

drkns 27.01.2009 16:09:51 +0200 - build 146

1. Адаптация к новому PanelAPI в 2.0.753.

zg 20.01.2009 17:05:40 +0200 - build 145

1. Mantis#707.

zg 15.01.2009 16:06:45 +0200 - build 144

1. криво отрезалось "\??\" в уникодной версии.

t-rex 21.12.2008 02:40:33 +0200 - build 143

1. Far 2.0 build 677

drkns 05.09.2008 10:16:03 +0200 - build 142

1. Адаптация к новому PanelAPI в 1.8.

drkns 31.08.2008 14:30:55 +0200 - build 141

1. Адаптация к новому PanelAPI в 1.8.

t-rex 14.06.2008 15:16:45 +0200 - build 140

1. Не собиралась GCC юникод версия.

yjh 14.06.2008 00:50:02 +0300

1. Версия не менялась - синхронизация с новыми названиями констант в 1.8

t-rex 08.03.2008 14:06:08 +0200 - build 139

1. Mantis#471: Неправильное отображение времени процессов.
   Fixed by Vadikus.

t-rex 08.03.2008 13:43:53 +0200

1. Mantis#385.

yjh 17.11.2007 20:54:58 +0300

1. Коррекция MinFARVersion для нового DialogAPI 1,80


yjh 17.11.2007 20:10:37 +0300 - build 138

1. Работа с новым DialogAPI в 1.8.


yjh 13.11.2007 00:17:07 +0300

1. Выкинуты макросы переехавшие в crt.hpp


yjh 12.11.2007 02:19:35 +0300 - build 137

1. В связи с расширением CRT окончательно убрана зависимость от libcmt.lib


yjh 11.11.2007 22:05:33 +0300 - build 137

1. Добавлен GetMinFARVersion (для 1.8)


yjh 11.11.2007 21:38:21 +0300 - 136

1. Правильное(обычное) имя define для проверки 64битовой в обходе ошибки mslink


yjh 11.11.2007 21:29:35 +0300 - 136

1. Адаптация к новому PluginAPI

2. Убрана попытка освобождения хипа по невалидному указателю в WMI

3. Добавлен более корректный способ ошибки в ms-link  


yjh 01.10.2007 22:29:35 +0300 - 135

1. Issue 332 (двойное CharToOem имени процесса при работе со списком с
   удалённого компьютера). Правка сделана в ProcListNT, а не в WMI, что бы 
   не приходилось делать ветки для 1.80.
   ATT: не правилось для в w95 (проверить сейчас не на чем :)

2. Убраны два предупреждения для 1.8 и одно для x64. Больше не осталось :)

3. makefile "нормализован" относительно libCRT и ошибок mslink :)

yjh 08.07.2007 05:49:13 +0300 - 134

1. Экспорт в W-форме для GetFiles был не корректен (разница в константности)
   ms-link, естественно, молчал в тряпочку :)

2. По просьбе t-rex сделан _tmemset

3. Унификация makefile

yjh 07.07.2007 09:45:13 +0300

1. Починен префикс для вьювера

yjh 07.07.2007 06:56:35 +0300 - 133

1. Убрана заглушка обхода ошибки 1.80 в части кнопок (починено в фаре)
   (TODO:б,г). Заодно там же починено TODO:в :)

2. Починен TODO:а (мусор в цифровых колонках)

3. TODO:д откладывается поскольку 1.8 (без плугинов) при попытке запуска
   в 98й грит 'cannot load language data'

t-rex 06.07.2007 19:33:23 +0200

1. Пару мелких фиксов для сборки gcc.

yjh 06.07.2007 16:56:35 +0300 - 132

1. Первичное портирование в 1.80.

TODO: а) "мусор" в 1.80 в некоторых цифровых колонках
      б) Вместо F3 (по ShiftF3) в ProcessKey приходит 0x80052!
         Это баг фара, пока (что бы можно было тестировать) сделана
         заглушка помеченная как BUGBUG
      в) Релиз фара "гробится" на выходе из вьювера! Причём до возврата
         управление в proclist. Дебаговая сборка - работает.
      г) Неизвестно работает ли Shift-F6 (remote) - у меня оно и в A/old
         не работает :)
      д) Надо проверить работает ли VersionInfo в Win95 (с лейером/без?)

---------------
yjh 06.07.2007 11:16:31 +0300 - 131

1. Убрано два memory leak при AltF3 (формирование временного файла)

yjh 06.07.2007 07:08:11 +0300

1. Использование макроса ArraySize. Частично повышения читабельности для, а
   частично в плане подготовки к портированию в 1.8

yjh 06.07.2007 05:37:23 +0300 - 130

1. Бит RO ставится только для 32хбитовых процессов в win64 - иначе проблемы
   с масками в win32

yjh 06.07.2007 04:48:19 +0300

1. Оптимизация динамического биндинга (и кода меньше и проще будет переводить
   в unicode)

2. Убрано пара мелких ляпов вокруг динамически подключаемых процедур

3. В makefile добавлена "забытое" определение для unicode

yjh 03.07.2007 23:26:11 +0300 - 129

1. _Total маркируется как 64хбитовый в Far64 и не маркируется в Far32

zg 03.07.2007 19:44:47 +0300

1. добавлен флаг OPIF_USEATTRHIGHLIGHTING.

yjh 03.07.2007 18:44:47 +0300

1. Для 64хбитовых процессов ставить FILE_ATTRIBUTE_READONLY

yjh 17.08.2007 00:07:17 +0300

1. Замена memicmp на _memicmp в качестве подготовки к vc8 :)

t-rex 07.02.2007 17:53:10 +0200 - 128

1. Ужасные баги с историей в x64.


t-rex 06.02.2007 01:07:41 +0200

1. Общий мэйк файл для x64 и x86 для VC.


t-rex 04.12.2006 07:11:08 +0200 - build 127

1. Сборка для x64 + мэйк для VC.
   Вроде бы не поломал 32бит сборку - хотя пошаманил конкретно.
   В x64 вроде как как работает всё кроме "[x] Handles (local NT only)" который работает примерно наполовину.

2. Начинаем писать changelog, я сделал себе макрос
   "t - r e x Space $Date \"%d.%m0.%Y %H:%M:%S %Z\" Enter"
   чтоб выводить заголовок changelog-а.
   Последующие логи надо писать сверху - т.е. файл будет идти хронологически снизу вверх.
   В changelog прошу писать в Win кодировке.
